automake-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Automake-commit] [SCM] GNU Automake branch, master, updated. v1.11-652-


From: Stefano Lattarini
Subject: [Automake-commit] [SCM] GNU Automake branch, master, updated. v1.11-652-g5e70694
Date: Sun, 16 Jan 2011 15:10:49 +0000

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU Automake".

http://git.sv.gnu.org/gitweb/?p=automake.git;a=commitdiff;h=5e706943089ea0d1a9563572d6cf6d869ca0b889

The branch, master has been updated
       via  5e706943089ea0d1a9563572d6cf6d869ca0b889 (commit)
       via  a9a3443097080f8f9855382e75683548f9d7a574 (commit)
       via  cc2bb3af15c46a40753e81cd4a9adebe96e0f164 (commit)
      from  1456186dab6c7e9384aa54d113b2e1ad0aadc2dd (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 5e706943089ea0d1a9563572d6cf6d869ca0b889
Merge: 1456186 a9a3443
Author: Stefano Lattarini <address@hidden>
Date:   Sun Jan 16 15:57:23 2011 +0100

    Merge branch 'tests-init'

-----------------------------------------------------------------------

Summary of changes:
 ChangeLog  |   12 ++++++++++++
 tests/defs |   23 ++++++++++++++---------
 2 files changed, 26 insertions(+), 9 deletions(-)

diff --git a/ChangeLog b/ChangeLog
index 4f052b0..dba98e4 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,15 @@
+2011-01-15  Stefano Lattarini  <address@hidden>
+
+       tests: hard error in case of internal failures or signal caught
+       * tests/defs: Exit with status 99 (hard error) rather than
+       1 (failure) on unexpected/internal errors, or when a signal
+       is caught by the client script.
+
+       Tests defs: don't let useless variables leak in test scripts.
+       * tests/defs ($priv_check_temp, $overwrite_status, $ro_dir_temp,
+       $create_status, $r2h, $libtool_found, $gettext_found, $aclocaldir,
+       $extra_includes): Unset once they've served their purpose.
+
 2011-01-16  Ralf Wildenhues  <address@hidden>
 
        Fix parallel-tests.test failure with HP-UX make.
diff --git a/tests/defs b/tests/defs
index b357df6..51d2213 100644
--- a/tests/defs
+++ b/tests/defs
@@ -24,7 +24,7 @@
 # Ensure we are running from the right directory.
 test -f ./defs-static || {
    echo "$0: ./defs-static: not found in current directory" >&2
-   exit 1
+   exit 99
 }
 
 # Source the shell sanitization and variables' definitions.
@@ -44,13 +44,13 @@ me=`echo "$argv0" | sed -e 's,.*[\\/],,;s/\.test$//'` \
 # Ensure $testsrcdir is set correctly.
 test -f "$testsrcdir/defs-static.in" || {
    echo "$me: $testsrcdir/defs-static.in not found, check \$testsrcdir" >&2
-   exit 1
+   exit 99
 }
 
 # Ensure $testbuilddir is set correctly.
 test -f "$testbuilddir/defs-static" || {
    echo "$me: $testbuilddir/defs-static not found, check \$testbuilddir" >&2
-   exit 1
+   exit 99
 }
 
 # Unset some MAKE... variables that may cause $MAKE to act like a
@@ -225,8 +225,8 @@ do
       # Skip this test case if the user is root.
       # We try to append to a read-only file to detect this.
       priv_check_temp=priv-check.$$
-      touch $priv_check_temp || exit 1
-      chmod a-w $priv_check_temp || exit 1
+      touch $priv_check_temp || exit 99
+      chmod a-w $priv_check_temp || exit 99
       (echo foo >> $priv_check_temp) >/dev/null 2>&1
       overwrite_status=$?
       rm -f $priv_check_temp
@@ -234,6 +234,7 @@ do
         echo "$me: cannot drop file write permissions" >&2
         exit 77
       fi
+      unset priv_check_temp overwrite_status
       ;;
     perl-threads)
       if test "$WANT_NO_THREADS" = "yes"; then
@@ -250,8 +251,8 @@ do
       # Skip this test case if read-only directories aren't supported
       # (e.g., under DOS.)
       ro_dir_temp=ro_dir.$$
-      mkdir $ro_dir_temp || exit 1
-      chmod a-w $ro_dir_temp || exit 1
+      mkdir $ro_dir_temp || exit 99
+      chmod a-w $ro_dir_temp || exit 99
       (: > $ro_dir_temp/probe) >/dev/null 2>/dev/null
       create_status=$?
       rm -rf $ro_dir_temp
@@ -259,6 +260,7 @@ do
         echo "$me: cannot drop directory write permissions" >&2
         exit 77
       fi
+      unset ro_dir_temp create_status
       ;;
     rst2html)
       # Try the variants that are tried in check.am.
@@ -270,6 +272,7 @@ do
         echo "$me: no proper rst2html program found" >&2
         exit 77
       done
+      unset r2h
       ;;
     runtest)
       # DejaGnu's runtest program. We rely on being able to specify
@@ -405,6 +408,8 @@ case " $required " in
         ;;
     esac
     ACLOCAL="$ACLOCAL -Wno-syntax -I $top_testsrcdir/m4 $extra_includes -I 
$aclocaldir"
+    unset libtool_found gettext_found
+    unset extra_includes aclocaldir
     ;;
 esac
 
@@ -443,14 +448,14 @@ if test "$sh_errexit_works" = yes; then
     exit $exit_status
   ' 0
   for signal in 1 2 13 15; do
-    trap 'signal='$signal'; { Exit 1; }' $signal
+    trap 'signal='$signal'; { Exit 99; }' $signal
   done
   signal=0
 fi
 
 # Copy in some files we need.
 for file in install-sh missing depcomp; do
-   cp "$top_testsrcdir/lib/$file" . || Exit 1
+   cp "$top_testsrcdir/lib/$file" . || Exit 99
 done
 
 # Build appropriate environment in test directory.  Eg create


hooks/post-receive
-- 
GNU Automake



reply via email to

[Prev in Thread] Current Thread [Next in Thread]